Debian Bug report logs - #369960
in manpages-dev, inotify_init points to wrong header

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Aristeu Sergio Rozanski Filho <aris@cathedrallabs.org>

Date: Fri, 2 Jun 2006 14:03:16 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages-dev/2.6.13+0rc3-2.1

Fixed in versions manpages/2.33-2, manpages/2.34-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#369960; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Aristeu Sergio Rozanski Filho <aris@cathedrallabs.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aristeu Sergio Rozanski Filho <aris@cathedrallabs.org>
To: submit@bugs.debian.org
Subject: in manpages-dev, inotify_init points to wrong header
Date: Fri, 2 Jun 2006 10:41:21 -0300
Package: manpages-dev
Version: 2.6.13+0rc3-2.1

In inotify_init(2) man page and possibly in others, the man page points
to <inotify.h> instead of <linux/inotify.h>.

$ find /usr/include/ -name inotify.h
/usr/include/linux/inotify.h

Probably this is already fixed in a newer version, but I'm not sure.
Thanks,

-- 
Aristeu




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#369960; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Aristeu Sergio Rozanski Filho <aris@cathedrallabs.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 369960@bugs.debian.org (full text, mbox):

From: Aristeu Sergio Rozanski Filho <aris@cathedrallabs.org>
To: faw@cathedrallabs.org
Subject: patch
Date: Fri, 2 Jun 2006 10:59:27 -0300
[Message part 1 (text/plain, inline)]

-- 
Aristeu

[inotify-fix_header_path.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#369960; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 369960@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Aristeu Sergio Rozanski Filho <aris@cathedrallabs.org>, 369960@bugs.debian.org
Cc: debc <control@bugs.debian.org>
Subject: Re: Bug#369960: in manpages-dev, inotify_init points to wrong header
Date: Sat, 03 Jun 2006 07:47:25 +1200
tags 369960 fixed-upstream
thanks

Aristeu Sergio Rozanski Filho wrote:
> Package: manpages-dev
> Version: 2.6.13+0rc3-2.1
> 
> In inotify_init(2) man page and possibly in others, the man page points
> to <inotify.h> instead of <linux/inotify.h>.
> 
> $ find /usr/include/ -name inotify.h
> /usr/include/linux/inotify.h
> 
> Probably this is already fixed in a newer version, but I'm not sure.
> Thanks,

Hello Aristeu,

Thanks for your report.  You are right that the path is wrong, but not
quite right about the fix.  The man pages were written a bit in advance
of the work that needed to be done to include appropriate definitions in
glibc.  These definitions appeared only in glibc 2.4, in the header file
<sys/inotify.h>;  I presume that you have an older glibc.

I have fixed the manual pages to point to <sys/inotify.h>.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/,
read the HOWTOHELP file and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Aristeu Sergio Rozanski Filho <aris@cathedrallabs.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 369960-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 369960-close@bugs.debian.org
Subject: Bug#369960: fixed in manpages 2.33-2
Date: Wed, 07 Jun 2006 23:47:11 -0700
Source: manpages
Source-Version: 2.33-2

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.33-2_all.deb
  to pool/main/m/manpages/manpages-dev_2.33-2_all.deb
manpages_2.33-2.diff.gz
  to pool/main/m/manpages/manpages_2.33-2.diff.gz
manpages_2.33-2.dsc
  to pool/main/m/manpages/manpages_2.33-2.dsc
manpages_2.33-2_all.deb
  to pool/main/m/manpages/manpages_2.33-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 369960@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  8 Jun 2006 08:18:50 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.33-2
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 369960 370277
Changes: 
 manpages (2.33-2) unstable; urgency=low
 .
   * Corrected markup in error(3)
   * Corrected capitalising in bind(2)
   * Removed superflous comments in readdir(3)
   * Roll back most of the upstream version of tsearch(3)
   * Corrected path of inotify.h in inotify_init(2) (closes: Bug#369960)
   * Fixed typo in inet(3) (closes: Bug#370277)
Files: 
 36806de5ce011d9d47001c9a8ecf5953 584 doc - manpages_2.33-2.dsc
 44a2b32bef5bb3daec20be93d24d3dec 48760 doc - manpages_2.33-2.diff.gz
 04569fe9871741d0a2ced8959eef0d17 476548 doc important manpages_2.33-2_all.deb
 6469009af5685e9b848d9818d75fb9e3 1204788 doc standard manpages-dev_2.33-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEh8R8W5ql+IAeqTIRAkksAJ9zIBrGFJZ3Yb6CVmHups6nGtV3KQCdEbD9
MR2McJ5h2/FMiuMXC/qdqzQ=
=Pg+h
-----END PGP SIGNATURE-----




Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Aristeu Sergio Rozanski Filho <aris@cathedrallabs.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 369960-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 369960-close@bugs.debian.org
Subject: Bug#369960: fixed in manpages 2.34-1
Date: Tue, 20 Jun 2006 10:47:05 -0700
Source: manpages
Source-Version: 2.34-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.34-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.34-1_all.deb
manpages_2.34-1.diff.gz
  to pool/main/m/manpages/manpages_2.34-1.diff.gz
manpages_2.34-1.dsc
  to pool/main/m/manpages/manpages_2.34-1.dsc
manpages_2.34-1_all.deb
  to pool/main/m/manpages/manpages_2.34-1_all.deb
manpages_2.34.orig.tar.gz
  to pool/main/m/manpages/manpages_2.34.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 369960@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 20 Jun 2006 19:23:19 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.34-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 369253 369960
Changes: 
 manpages (2.34-1) unstable; urgency=low
 .
   * Forward ported CONFORMING TO in diftime(3)
   * Forward ported CONFORMING TO in isalpha(3)
   * New upstream release
     . Corrected prototype in inotify_*(2) (closes: Bug#369960)
     . Add SEE ALSO referring to groff_man in man(7) (closes: Bug#369253)
   * Changed license of futex(7) to MIT
Files: 
 7ad53f06d19a389812bf663566f2b5ba 584 doc - manpages_2.34-1.dsc
 f5ba6653385f5ac4f9aaaff34a7c81eb 1181207 doc - manpages_2.34.orig.tar.gz
 c30270e27785b6125551025d3c557641 54948 doc - manpages_2.34-1.diff.gz
 de32d05e681f6a917779a45777a616c5 479194 doc important manpages_2.34-1_all.deb
 099c685db2ef34c9a9b00d9dd8962b4c 1213316 doc standard manpages-dev_2.34-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEmDDBW5ql+IAeqTIRAtBGAJ93WY0Nkm9/68U1PJB4fSUWX67w4QCfejlO
G5bM5cg4+h5JJDMEoDJNRPw=
=fUGA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 02:36:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:16:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.